# eoUpdatable Class Reference

eoUpdatable is a generic class for adding updatation to an existing class Just says it has an update() method More...

`#include <eoUpdatable.h>`

Inheritance diagram for eoUpdatable:

List of all members.

## Public Member Functions

virtual | ~eoUpdatable ()
| Virtual destructor.
virtual void | update ()=0

## Detailed Description

eoUpdatable is a generic class for adding updatation to an existing class Just says it has an update() method

Definition at line 36 of file eoUpdatable.h.

The documentation for this class was generated from the following file:

- eoUpdatable.h